# ADP Core Library

[![npm version](https://badge.fury.io/js/adp-core.svg)](https://badge.fury.io/js/adp-core)

The ADP Core library allows interaction with your ADP Marketplace consumer application. Use with ADP Connection to access ADP APIs.

### Previous version support 
`npm install adp-core@1.0.10`

### Installation (with adp-connection)
```sh
$ npm install adp-connection adp-core
```

# Usage 
## [API Docs & Examples](docs)

# Contributing
To contribute to the library, please generate a pull request. Before generating the pull request, please insure the following:
1. Appropriate unit tests have been updated or created.
2. Code coverage on unit tests must be no less than 100%.
3. Your code updates have been fully tested and linted with no errors. 
4. Update README and API documentation as appropriate.


# Test Execution
```sh
$ npm test
```

# Code Coverage
```sh
$ npm run coverage
```

# Lint
```sh
$ npm run lint
```

# License 
[Apache 2](http://www.apache.org/licenses/LICENSE-2.0)
